Bug 1675305 - librecad: FTBFS in Fedora rawhide/f30
Summary: librecad: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: librecad
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:44 UTC by Fedora Release Engineering
Modified: 2019-06-06 18:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-06 18:35:19 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:45 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:45 UTC, Fedora Release Engineering
no flags Details
state.log (649 bytes, text/plain)
2019-02-11 20:45 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:44:57 UTC
librecad failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32409755


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix librecad at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
librecad will be orphaned. Before branching of Fedora 31,
librecad will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:45:01 UTC
Created attachment 1531017 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:45:02 UTC
Created attachment 1531018 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:45:04 UTC
Created attachment 1531019 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:29:08 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Richard Shaw 2019-04-28 14:08:05 UTC
Since the logs are deleted here's a copy from a local mock build:

BUILDSTDERR: ui/qg_actionhandler.cpp: In member function 'RS_ActionInterface* QG_ActionHandler::setCurrentAction(RS2::ActionType)':
BUILDSTDERR: ui/qg_actionhandler.cpp:392:17: error: expected type-specifier before 'RS_ActionDrawLineAngle'
BUILDSTDERR:   392 |         a = new RS_ActionDrawLineAngle(*document, *view, 0.0, false);
BUILDSTDERR:       |                 ^~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: ui/qg_actionhandler.cpp:395:17: error: expected type-specifier before 'RS_ActionDrawLineAngle'
BUILDSTDERR:   395 |         a = new RS_ActionDrawLineAngle(*document, *view, 0.0, true,
BUILDSTDERR:       |                 ^~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: ui/qg_actionhandler.cpp:402:17: error: expected type-specifier before 'RS_ActionDrawLineAngle'
BUILDSTDERR:   402 |         a = new RS_ActionDrawLineAngle(*document, *view, M_PI_2, true,
BUILDSTDERR:       |                 ^~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: ui/qg_actionhandler.cpp:428:17: error: expected type-specifier before 'RS_ActionDrawLineTangent2'
BUILDSTDERR:   428 |         a = new RS_ActionDrawLineTangent2(*document, *view);
BUILDSTDERR:       |                 ^~~~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: ui/qg_actionhandler.cpp:485:17: error: expected type-specifier before 'RS_ActionDrawCircleTan1_2P'
BUILDSTDERR:   485 |         a = new RS_ActionDrawCircleTan1_2P(*document, *view);
BUILDSTDERR:       |                 ^~~~~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: ui/qg_actionhandler.cpp:488:17: error: expected type-specifier before 'RS_ActionDrawCircleTan2_1P'
BUILDSTDERR:   488 |         a = new RS_ActionDrawCircleTan2_1P(*document, *view);
BUILDSTDERR:       |                 ^~~~~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: ui/qg_actionhandler.cpp:498:17: error: expected type-specifier before 'RS_ActionDrawCircleTan2'
BUILDSTDERR:   498 |         a = new RS_ActionDrawCircleTan2(*document, *view);
BUILDSTDERR:       |                 ^~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: ui/qg_actionhandler.cpp:501:17: error: expected type-specifier before 'RS_ActionDrawCircleTan3'
BUILDSTDERR:   501 |         a = new RS_ActionDrawCircleTan3(*document, *view);
BUILDSTDERR:       |                 ^~~~~~~~~~~~~~~~~~~~~~~

Comment 6 Fedora Release Engineering 2019-06-03 21:44:12 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 7 Tom "spot" Callaway 2019-06-06 18:35:19 UTC
Fixed in rawhide (https://github.com/LibreCAD/LibreCAD/pull/1117 is the upstream patch I sent back).


Note You need to log in before you can comment on or make changes to this bug.